Existing
Creates an Azure Virtual Desktop Workspace from an existing Workspace.
Body
To import an existing AVD Workspace
siteIdinteger · int32Optional
Site ID in which to create the specified Azure Virtual Desktop Workspace. If the parameter is omitted, the Licensing Server site ID will be used.
providerIdinteger · int32Required
The Provider ID of the Azure Virtual Desktop Provider.
azureIdstring · min: 1 · max: 255 · nullableRequired
Azure ID of existing Workspace.
Responses
201
Created
application/json; api-version=1.0
AVD Workspace
idinteger · int32Optional
ID of the object.
adminCreatestring · nullableOptional
User who created the object.
adminLastModstring · nullableOptional
User who last modified the object.
timeCreatestring · date-timeOptional
Time when the object was created.
timeLastModstring · date-timeOptional
Time when the object was last modified.
providerIdinteger · int32Optional
Provider Id
namestring · nullableOptional
Name
enabledbooleanOptional
Enabled
friendlyNamestring · nullableOptional
Friendly Name
descriptionstring · nullableOptional
Description
resourceGroupstring · nullableOptional
Resource Group
locationstring · nullableOptional
Location
azureIdstring · nullableOptional
Azure Id
400
Bad Request
application/json; api-version=1.0
401
Unauthorized
application/json; api-version=1.0
post/api/AVD/Workspace/Existing
POST /api/AVD/Workspace/Existing HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 44
{
"siteId": 1,
"providerId": 1,
"azureId": "text"
}{
"id": 1,
"adminCreate": "text",
"adminLastMod": "text",
"timeCreate": "2026-01-01T00:00:00.000Z",
"timeLastMod": "2026-01-01T00:00:00.000Z",
"providerId": 1,
"name": "text",
"enabled": true,
"friendlyName": "text",
"description": "text",
"resourceGroup": "text",
"location": "text",
"azureId": "text"
}